Skip to main content
`Ctrl`+`K`

# NEPJacobianFn

A prototype of a `NEP` Jacobian evaluation function that would be passed to `NEPSetJacobian()`.

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode NEPJacobianFn(NEP nep,PetscScalar lambda,Mat J,PetscCtx ctx);

## Calling Sequence

- nep - the nonlinear eigensolver context

- lambda - the scalar argument where \(T'(\cdot)\) must be evaluated

- J - matrix that will contain \(T'(\lambda)\)

- ctx - [optional] user-defined context for private data for the Jacobian evaluation routine (may be `NULL`)

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetJacobian()`

## Level

beginner

## Location

include/slepcnep.h

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages